name: Commandes
description: ''
endpoints:
  -
    httpMethods:
      - POST
    uri: api/commandes
    metadata:
      groupName: Commandes
      groupDescription: ''
      subgroup: ''
      subgroupDescription: ''
      title: 'Stocke une nouvelle commande avec ses personnalisations et paiement.'
      description: ''
      authenticated: false
      custom: []
    headers:
      Content-Type: application/json
      Accept: application/json
    urlParameters: []
    cleanUrlParameters: []
    queryParameters: []
    cleanQueryParameters: []
    bodyParameters:
      elementColors:
        name: elementColors
        description: 'Couleurs sélectionnées pour personnalisation. Exemple: {"fond":["Cyan","Noir"],"textePrincipal":["Jaune"]}'
        required: false
        example: consequatur
        type: array|null
        enumValues: []
        exampleWasSpecified: false
        nullable: false
        custom: []
      colorChange:
        name: colorChange
        description: 'Indique si changement de couleur est activé ("Oui" ou "Non").'
        required: false
        example: consequatur
        type: string
        enumValues: []
        exampleWasSpecified: false
        nullable: false
        custom: []
      logo:
        name: logo
        description: 'Indique si un logo est demandé (true/false).'
        required: false
        example: false
        type: boolean
        enumValues: []
        exampleWasSpecified: false
        nullable: false
        custom: []
      remarque:
        name: remarque
        description: 'Commentaires supplémentaires.'
        required: false
        example: consequatur
        type: string|null
        enumValues: []
        exampleWasSpecified: false
        nullable: false
        custom: []
      total:
        name: total
        description: 'Prix total de la commande.'
        required: false
        example: 11613.31890586
        type: number
        enumValues: []
        exampleWasSpecified: false
        nullable: false
        custom: []
      product:
        name: product
        description: 'Objet produit avec propriété `name`.'
        required: false
        example: consequatur
        type: object|null
        enumValues: []
        exampleWasSpecified: false
        nullable: false
        custom: []
      quantity:
        name: quantity
        description: 'Quantité commandée.'
        required: false
        example: 17
        type: integer
        enumValues: []
        exampleWasSpecified: false
        nullable: false
        custom: []
      eyeletColor:
        name: eyeletColor
        description: "Couleur de l'œillet."
        required: false
        example: consequatur
        type: string
        enumValues: []
        exampleWasSpecified: false
        nullable: false
        custom: []
      notchedDial:
        name: notchedDial
        description: 'Indique si cadran cranté ("Oui" ou "Non").'
        required: false
        example: consequatur
        type: string
        enumValues: []
        exampleWasSpecified: false
        nullable: false
        custom: []
      pvcCase:
        name: pvcCase
        description: 'Indique si étui PVC est demandé ("Oui" ou "Non").'
        required: false
        example: consequatur
        type: string
        enumValues: []
        exampleWasSpecified: false
        nullable: false
        custom: []
      reverseSide:
        name: reverseSide
        description: 'Type de verso ("Euro" ou autre).'
        required: false
        example: consequatur
        type: string
        enumValues: []
        exampleWasSpecified: false
        nullable: false
        custom: []
    cleanBodyParameters:
      elementColors: consequatur
      colorChange: consequatur
      logo: false
      remarque: consequatur
      total: 11613.31890586
      product: consequatur
      quantity: 17
      eyeletColor: consequatur
      notchedDial: consequatur
      pvcCase: consequatur
      reverseSide: consequatur
    fileParameters: []
    responses:
      -
        status: 201
        content: |-
          {
            "message": "Commande traitée avec succès",
            "commande_id": 123,
            "commande": {
              "N_COMMANDE": 123,
              "N_COMPTE": "456",
              ...
            }
          }
        headers: []
        description: ''
        custom: []
      -
        status: 401
        content: |-
          {
            "error": "Utilisateur non authentifié"
          }
        headers: []
        description: ''
        custom: []
      -
        status: 500
        content: |-
          {
            "error": "Erreur lors de la création de la commande",
            "message": "Détails de l'erreur"
          }
        headers: []
        description: ''
        custom: []
    responseFields: []
    auth: []
    controller: null
    method: null
    route: null
    custom: []
